Package org.eclipse.jface.text

# Interface DefaultInformationControl.IInformationPresenter

Enclosing class:
  DefaultInformationControl

public static interface DefaultInformationControl.IInformationPresenter
An information presenter determines the style presentation of information displayed in the default information control. The interface can be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)`
Deprecated.
As of 3.2, replaced by `DefaultInformationControl.IInformationPresenterExtension.updatePresentation(Drawable, String, TextPresentation, int, int)`

## Method Details

### updatePresentation

@Deprecated String updatePresentation(Display display, String hoverInfo, TextPresentation presentation, int maxWidth, int maxHeight)
Deprecated.
As of 3.2, replaced by `DefaultInformationControl.IInformationPresenterExtension.updatePresentation(Drawable, String, TextPresentation, int, int)`
Updates the given presentation of the given information and thereby may manipulate the information to be displayed. The manipulation could be the extraction of textual encoded style information etc. Returns the manipulated information.

Note: The given display must only be used for measuring.

Parameters:
  `display` - the display of the information control
  `hoverInfo` - the information to be presented
  `presentation` - the presentation to be updated
  `maxWidth` - the maximal width in pixels
  `maxHeight` - the maximal height in pixels
Returns:
  the manipulated information